/*
 * =====================================================================================
 * 
 *        Filename:  ImShow.cc
 * 
 *     Description:  display Images with Qt
 * 
 *         Version:  1.0
 *         Created:  05/10/05 13:59:22 CEST
 *        Revision:  none
 *        Compiler:  gcc
 * 
 *          Author:  Janis Fehr (JF), fehr@informatiik.uni-freiburg.de
 *         Company:  LMB
 * 
 * =====================================================================================
 */

#include <iostream>
#include "Image.hh"
#include "MyWindow.hh"

int main( int argc, char **argv )
{
    QApplication a( argc, argv ); //Instanziere neue Qt Applikation

    MyWindow *qtWindow = new MyWindow();

    try
    {
	std::ifstream file(argv[1]);
	Image<RGBColor> im;
	im.read(file);
	qtWindow->setImage(im);
	qtWindow->setGeometry( 100, 100, im.width(), im.height() ); //setze Fenster gre fest
	    
    }
    catch (MyError &err)
    {
	std::cerr<<err.msg()<<"\n";	
    }
        

    a.setMainWidget( qtWindow) ; //lege Hauptfenster fest
    qtWindow->show(); //zeige Fenster
   
    
    return a.exec(); //qt Rckgabewerte
}
